# RaumplanerApp.py

from grafikfenster import *
from raumplanerController import RaumplanerController
from gui import Gui ## neu

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    def OnInit(self):
        ## neu:
        self.gui = Gui(None,-1,"Raumplaner")
        self.gui.Show(True)
        self.SetTopWindow(self.gui)  ## neu
        self.fenster = GrafikFenster(self.gui, "Raumplaner-Grafik")  ## neu
        self.fenster.Show(True)
        self.controller=RaumplanerController.GibRaumplanerController()
        self.controller.SetzeGui(self.gui)
        self.gui.SetzeController(self.controller)
        self.zf=Zeichenflaeche.GibZeichenflaeche()
        ##self.zf.SetBGImage('Bilder/beispielbild.png')
        ##self.zf.SetBGImage('Bilder/beispielbild_invertiert.png')
        ##self.zf.SetBGColor('BLACK')
        self.zf.SetzeController(self.controller)
        self.controller.SetzeZeichenflaeche(self.zf)
        self.gui.SetzeZeichenflaeche(self.zf)
        self.controller.Neu("Grundriss")
        return True

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
